Subject: Re: FVWM: Fvwm/xterm active icon support

From: Dominik Vogt <[email-masked]>
Date: Tue, 2 May 2000 21:42:51 +0200

On Thu, Apr 20, 2000 at 12:29:40PM +0100, Vivek wrote:
> 
> Hi - I'm not 100% sure if this is an Fvwm thing or an xterm thing, but:
> 
> I'm trying to use the 'activeIcon' functionality of the xfree86 xterm
> [patch #132], in fvwm 2.2.4: basically I want iconified xterms to accept
> input: I can verify that the xterms have activeIcon support compiled in:
> If I remove the 'Icon' entry from their styles, I see a miniaturised
> version of an xterm when I iconify them, and I'm _almost certain_ that in
> the past, they used [in a version of fvwm 2.0.x, I think]  to accept input
> in this state as well, but they don't seem to do that any more. Rxvts
> still accept input when iconified. Is there something extra I need to do
> to get fvwm 2.2.x to supply input to iconified xterms? [The xterm
> documentation states that the activeIcon input stuff works with fvwm]
> 
> Anyone know what I'm doing wrong? [I've specified 'Lenience' in the xterm 
> style, just in case]
> 
> They both have the follwing in ther Identify info:
> 
> Focus Policy: Passive
> - Input Field: True
> - WM_TAKE_FOCUS: Absent
> 
> Anybody have any ideas about this? Is there something I need to
> set/compile in to fvwm? Or should I direct my attention back towards
> xterm? 

I finally got around to read your mail more carefully and to look
into the problem.  It's not a problem of active icons but of xterm
icons in general.  I tried it with 2.0.38 (the oldest version I have
handy right now), 2.0.46 (the last 2.0.x release) and the latest
debvelopment stuff.  xterm icons don't accept input with either
version while rxvt does with all of them.  rxvt and xterm have
identical keyboard focus behaviour, so it can only be a problem of
xterm.  Perhaps this was broken in xterm some time in the past.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Vivek <[email-masked]>
Date: Mon, 8 May 2000 10:49:13 +0100 (BST)

> version while rxvt does with all of them.  rxvt and xterm have

Fair enough - thanks for the help... I'll try wading into the xterm
source...

-- 
"A distributed system is one in which I cannot get something done
because a machine I've never heard of is down"   
                                                --Leslie Lamport